---
# tasks/main.yml
# define tasks here

- name: install bind package
  apt:
    name: "{{ item }}"
    update_cache: yes
    cache_valid_time: 86400
    state: latest
  with_items:
    - bind9

- name: set correct permissions for logging
  file:
    state=directory
    path=/var/log/named/
    owner={{ bind.user }}
    group={{ bind.group }}
    mode=0777
  notify:
    - restart bind

- name: copy zone files to /etc/bind/
  template:
    src: "{{ item }}.j2"
    dest: /etc/bind/db.{{ item }}
    owner: "{{ bind.user }}"
    group: "{{ bind.group }}"
    mode: 0644
  with_items: "{{ bind.zonefiles }}"
  notify:
    - restart bind

- name: test zone files
  command: named-checkzone xai-corp.net /etc/bind/db.xai-corp.net.internal

- name: copy named.confs to /etc/bind/
  template: src={{ item }}.j2 dest=/etc/bind/{{ item }} owner={{ bind.user }} group={{ bind.group }} mode=0640
  with_items:
    - named.conf.local
    - named.conf.options
    - named.conf.default-zones
  notify:
    - restart bind
